Community
AutoCAD Produktfamilie - Deutsch
Das Forum für alle Fragen zu AutoCAD, LT, Architecture, Electrical, Map 3D, Mechanical, MEP, Plant 3D, Raster Design, Web App, sowie Autodesk Civil 3D und Advance Steel.
abbrechen
Suchergebnisse werden angezeigt für 
Anzeigen  nur  | Stattdessen suchen nach 
Meintest du: 

Civil3d: Querprofillinien: Ändern der Namen von mehreren Querprofillinien gleichzeitig

1 ANTWORT 1
Antworten
Nachricht 1 von 2
nathan_torggler
80 Aufrufe, 1 Antwort

Civil3d: Querprofillinien: Ändern der Namen von mehreren Querprofillinien gleichzeitig

Hallo, 

ist es möglich mehrere Querprofillinien gleichzeitig umzubenennen, sprich die Information aus Excel zu kopieren oder mittels Dynamoskript zu ändern. Hat jemand Hinweise?

 

Lg

1 ANTWORT 1
Nachricht 2 von 2
Udo_Huebner
als Antwort auf: nathan_torggler

Aus den Civil 3D Bordmitteln kenne ich spontan keinen Befehl dazu.

Deshalb habe ich mal ein kurzes Lisp Makro zusammengestellt. Vielleicht hilft das ja schon.

 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; benennt Querprofillinien um
;;; Udo Hübner - für das Autodesk Forum - September 2023
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun C:UHSLRename ( / i cnt slname stat qpg)
  (if (setq ss (ssget "X" (list (cons 0 "AECC_SAMPLE_LINE"))))
    (progn
      (setq cnt (sslength ss)
            i   0
      )
      (repeat cnt
        (setq vlobj (vlax-ename->vla-object (ssname ss i))
              i      (1+ i) 
              slname (vla-get-name vlobj)
              stat   (vlax-get-property vlobj 'Station)
              qpg    (vlax-get-property vlobj 'Parent)
        )
        (print (list SLName  Stat (vla-get-name qpg)))
        (vla-put-name vlobj (strcat "SL" (itoa i) "-" (vla-get-name qpg) "-" (rtos stat 2 2)))
      )  
    )
  )  
)

 

 

Gruß Udo Hübner (CAD-Huebner)

Sie finden nicht, was Sie suchen? Fragen Sie die Community oder teilen Sie Ihr Wissen mit anderen.

In Foren veröffentlichen  

Autodesk Design & Make Report